<?php
defined('_JEXEC') or die;
include ('includes/includes.php');
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<?php
		$doc->addStyleSheet('templates/'.$this->template.'/css/bootstrap.css');	
		$doc->addStyleSheet('templates/'.$this->template.'/css/default.css');
		$doc->addStyleSheet('templates/'.$this->template.'/css/template.css');
		$doc->addStyleSheet('templates/'.$this->template.'/css/touch.gallery.css');
		$doc->addStyleSheet('templates/'.$this->template.'/css/responsive.css');
	?>

	<link href='http://fonts.googleapis.com/css?family=Tinos:400,700' rel='stylesheet' type='text/css'>

	<jdoc:include type="head" />

</head>

<body class="<?php echo $option . " view-" . $view . " layout-" . $layout . " task-" . $task . " itemid-" . $itemid . " ";?>">

	<!-- Body -->
	<div id="wrapper">
		<div id="wrapper-inner">

		<!-- Top -->
		<?php if ($this->countModules('top')): ?>
			<div id="top-row">
				<div class="container">
					<div id="top" class="row">
						<jdoc:include type="modules" name="top" style="themeHtml5" />
					</div>
				</div>
			</div>
		<?php endif; ?>

		<!-- Header -->
			<div id="header-row">
				<div class="container">
					<div class="row">
						<header>
							<!-- Logo -->
							<div id="logo" class="span<?php echo $this->params->get('logoBlockWidth'); ?>">
								<a href="<?php echo $this->baseurl; ?>">
									<img src="<?php echo $logo;?>" alt="<?php echo $sitename; ?>" />
								</a>
							</div>
							<jdoc:include type="modules" name="header" style="themeHtml5" />
						</header>
					</div>
				</div>
			</div>

		<!-- Showcase -->
		<?php if ($this->countModules('showcase') && $hideByView == false): ?>
			<div id="showcase-row">
				<div class="container">
					<div class="row">
							<jdoc:include type="modules" name="showcase" style="themeHtml5" />
					</div>
				</div>
			</div>
		<?php endif; ?>

		<!-- Navigation -->
		<?php if ($this->countModules('navigation')): ?>
			<div id="navigation-row">
				<div class="container">
					<div class="row">
						<nav>
							<jdoc:include type="modules" name="navigation" style="themeHtml5" />
						</nav>
					</div>
				</div>
			</div>
		<?php endif; ?>

		<!-- Feature -->
		<?php if ($this->countModules('feature') && $hideByView == false): ?>
			<div id="feature-row">
				<div class="container">
					<div class="row">
							<jdoc:include type="modules" name="feature" style="themeHtml5" />
					</div>
				</div>
			</div>
		<?php endif; ?>


		<!-- Maintop -->
		<?php if ($this->countModules('maintop') && $hideByView == false): ?>
			<div id="maintop-row">
				<div class="container">
					<div id="maintop" class="row">
						<jdoc:include type="modules" name="maintop" style="themeHtml5" />
					</div>
				</div>
			</div>
		<?php endif; ?>

		<!-- Main Content row -->
		<div id="content-row">
			<div class="container">
				<div class="content-inner row">

					<!-- Left sidebar -->
					<?php if ($this->countModules('aside-left') && $hideByOption == false && $layout !== "edit"): ?>
						<div id="aside-left" class="span<?php echo $asideLeftWidth; ?>">
							<aside>
								<jdoc:include type="modules" name="aside-left" style="html5nosize" />
							</aside>
						</div>
					<?php endif; ?>

					<div id="component" class="span<?php echo $mainContentWidth; ?>">
						<!-- Breadcrumbs -->
						<?php if ($this->countModules('breadcrumbs')): ?>
							<div id="breadcrumbs-row">
								<div id="breadcrumbs">
									<jdoc:include type="modules" name="breadcrumbs" style="html5nosize" />
								</div>
							</div>
						<?php endif; ?>

						<!-- Content-top -->
						<?php if ($this->countModules('content-top') && $hideByView == false): ?>
							<div id="content-top-row">
								<div id="content-top">
									<jdoc:include type="modules" name="content-top" style="html5nosize" />
								</div>
							</div>
						<?php endif; ?>

							<jdoc:include type="message" />
							<jdoc:include type="component" />

						<!-- Content-bottom -->
						<?php if ($this->countModules('content-bottom') && $hideByView == false): ?>
							<div id="content-bottom-row" class="row">
								<div id="content-bottom" class="">
									<jdoc:include type="modules" name="content-bottom" style="themeHtml5" />
								</div>
							</div>
						<?php endif; ?>
					</div>

					<!-- Right sidebar -->
					<?php if ($this->countModules('aside-right') && $hideByOption == false && $layout !== "edit"): ?>
						<div id="aside-right" class="span<?php echo $asideRightWidth; ?>">
							<aside>
								<jdoc:include type="modules" name="aside-right" style="html5nosize" />
							</aside>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</div>

		<!-- Mainbottom -->
		<?php if ($this->countModules('mainbottom') && $hideByView == false): ?>
			<div id="mainbottom-row">
				<div class="container">
					<div id="mainbottom" class="row">
						<jdoc:include type="modules" name="mainbottom" style="themeHtml5" />
					</div>
				</div>
			</div>
		<?php endif; ?>

		<!-- Bottom -->
		<?php if ($this->countModules('bottom') && $hideByView == false): ?>
			<div id="bottom-row">
				<div class="container">
					<div id="bottom" class="row">
						<jdoc:include type="modules" name="bottom" style="themeHtml5" />
					</div>
				</div>
			</div>
		<?php endif; ?>
	</div>

	<div id="footer-wrapper">
		<!-- Footer -->
		<?php if ($this->countModules('footer')): ?>
			<div id="footer-row">
				<div class="container">
					<div id="footer" class="row">
						<jdoc:include type="modules" name="footer" style="themeHtml5" />
					</div>
				</div>
			</div>
		<?php endif; ?>

		<!-- Copyright -->
		<?php if ($this->countModules('copyright')): ?>
			<div id="copyright-row">
				<div class="container">
					<div id="copyright" class="row">
						<jdoc:include type="modules" name="copyright" style="themeHtml5" />
						<!-- {%FOOTER_LINK} -->
					</div>
				</div>
			</div>
		<?php endif; ?>
	</div>

	</div>

	<?php if($this->params->get('totop')): ?>
		<div id="back-top">
			<a href="#"><span></span><?php echo $this->params->get('totop_text') ?></a>
		</div>
	<?php endif; ?>


	<?php if ($this->countModules('modal')): ?>
		<jdoc:include type="modules" name="modal" style="modal" />
	<?php endif; ?>

	<jdoc:include type="modules" name="debug" style="none"/>

	<?php
		$doc->addScript($this->baseurl."/media/jui/js/jquery.min.js");
		$doc->addScript($this->baseurl."/media/jui/js/bootstrap.js");

		$noConflict = "jQuery.noConflict()";
		$doc->addScriptDeclaration($noConflict);

		$doc->addScript($this->baseurl.'/templates/'.$this->template.'/js/jquery.isotope.min.js');
		$doc->addScript($this->baseurl.'/templates/'.$this->template.'/js/touch.gallery.js');
		$doc->addScript($this->baseurl.'/templates/'.$this->template.'/js/scripts.js');
	?>


</body>
</html>
